Bug 1275827 - abrt-hook-ccpp is popping a selinux error attempting getattr access on a file named "file"
abrt-hook-ccpp is popping a selinux error attempting getattr access on a file...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
24
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 16:52 EDT by Peter Trenholme
Modified: 2017-08-08 08:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:20:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
message_from_selinux_alert_browser (10.77 KB, text/plain)
2015-11-03 15:11 EST, Branko Grubić
no flags Details

  None (edit)
Description Peter Trenholme 2015-10-27 16:52:48 EDT
Description of problem: See summary


Version-Release number of selected component (if applicable): Rawhide

How reproducible:   Didn't try

Steps to Reproduce: Didn't try

Actual results:     See summary

Expected results:   No error

Additional info: I haven't looked at the code, but, from the selinux error, I suspect that someone used a variable named "file," but passed the literal name instead of it's value to the getattr function.
Comment 1 Branko Grubić 2015-11-03 15:10:36 EST
I see this on F23 too.
Comment 2 Branko Grubić 2015-11-03 15:11 EST
Created attachment 1089193 [details]
message_from_selinux_alert_browser
Comment 3 Jan Kurik 2016-02-24 10:42:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:24:30 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:20:11 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.